net/libtrace - The NetBSD Packages Collection

Library for trace processing

libtrace is a library for trace processing. It supports multiple input methods,
including device capture, raw and gz-compressed trace, and sockets; and
multiple input formats, including pcap and DAG.

Features
* Understands PCAP, ERF, DAG, legacy POS, ATM and Ethernet and preliminary
  WAG formats
* Read from tracefile, gz-compressed tracefile
* Native DAG read support
* BPF filter support on all input formats
* Format conversion into ERF and PCAP formats
* Write to tracefile for all formats
* Write to interface via PCAP or Natively under Linux
* libpacketdump, a packet dumping library useful for diagnosis
* Various tools for trace manipulation

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

misc/wandio textproc/libyaml misc/wandio textproc/libyaml

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 8.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 8.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 8.0i386libtrace-4.0.10nb5.tgz
NetBSD 8.0i386libtrace-4.0.10nb5.tgz
NetBSD 8.0i386libtrace-4.0.10nb5.tgz
NetBSD 8.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 8.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 8.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 8.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 8.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 8.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 8.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0aarch64libtrace-4.0.10nb5.tgz
NetBSD 9.0aarch64libtrace-4.0.10nb5.tgz
NetBSD 9.0aarch64libtrace-4.0.10nb5.tgz
NetBSD 9.0alphalibtrace-4.0.10nb5.tgz
NetBSD 9.0alphalibtrace-4.0.10nb5.tgz
NetBSD 9.0alphalibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv6hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv6hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv6hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv6hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 9.0earmv7hflibtrace-4.0.10nb5.tgz
NetBSD 9.0i386libtrace-4.0.10nb5.tgz
NetBSD 9.0i386libtrace-4.0.10nb5.tgz
NetBSD 9.0i386libtrace-4.0.10nb5.tgz
NetBSD 9.0mips64eblibtrace-4.0.10nb5.tgz
NetBSD 9.0mips64eblibtrace-4.0.10nb5.tgz
NetBSD 9.0mips64eblibtrace-4.0.10nb5.tgz
NetBSD 9.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 9.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 9.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 9.0powerpclibtrace-4.0.10nb5.tgz
NetBSD 9.0sparc64libtrace-4.0.10nb5.tgz
NetBSD 9.0sparc64libtrace-4.0.10nb5.tgz
NetBSD 9.0sparc64libtrace-4.0.10nb5.tgz
NetBSD 9.0sparclibtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz
NetBSD 9.0x86_64libtrace-4.0.10nb5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.